Subject: [Idr] I-D Action: draft-ietf-idr-bgp-bestpath-selection-criteria-04.txt

From: [email-masked]
Date: Wed, 17 Aug 2011 11:36:06 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Inter-Domain Routing Working Group of the IETF.

	Title           : BGP Bestpath Selection Criteria Enhancement
	Author(s)       : Rajiv Asati
	Filename        : draft-ietf-idr-bgp-bestpath-selection-criteria-04.txt
	Pages           : 9
	Date            : 2011-08-17

   BGP specification [RFC4271] prescribes &#39;BGP next-hop reachability&#39;
   as one of the key &#39;Route Resolvability Condition&#39; that must be
   satisfied before the BGP bestpath candidate selection. This
   condition, however, may not be sufficient (as explained in the
   Appendix section) and desire further granularity.

   This document defines enhances the &quot;Route Resolvability Condition&quot;
   to facilitate the next-hop to be resolved in the chosen data plane.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-idr-bgp-bestpath-selection-criteria-04.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-idr-bgp-bestpath-selection-criteria-04.txt

---

From: Samita Chakrabarti <[email-masked]>
Date: Wed, 17 Aug 2011 16:50:53 -0400

Hi Rajiv,

This is a good work clarifying the path-availability check in BGP path selection.
Is this document supposed to update RFC 4271 section 9.1.2 in general?
I wonder, if you have any data or thoughts on whether the additonal check at the data-plane level will add any latency in BGP path selection process and thus have any effect on convergence?
A short paragraph on the impact on timing might be useful for implementors as it seems running BFD or any other mechanism to keep an up-to-date information of path-availability at the data-plane will avoid any delay in the path selection process.

-Samita

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, August 17, 2011 11:36 AM
To: [email-masked]
Cc: [email-masked]
Subject: [Idr] I-D Action: draft-ietf-idr-bgp-bestpath-selection-criteria-04.txt

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-idr-bgp-bestpath-selection-criteria-04.txt
_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr

---

From: Robert Raszuk <[email-masked]>
Date: Thu, 18 Aug 2011 00:44:08 +0200

Hi Samita,

Allow me to make an observation that today BGP already validates
reachability to next hops, before considering path with such next hop to
be valid and to be eligible for best path selection.

In the light of the above Rajiv's proposal does not introduce any
additional delay nor does it cause any impact on "bgp convergence".

The only place which changes for some applications of BGP is the place
where you validate such next hop liveness/reachabilty. And as this is
very implementation dependent I think we should not discuss those
aspects on this mailing list.

Best regards,
R.

> Hi Rajiv,
>
> This is a good work clarifying the path-availability check in BGP
> path selection. Is this document supposed to update RFC 4271 section
> 9.1.2 in general? I wonder, if you have any data or thoughts on
> whether the additonal check at the data-plane level will add any
> latency in BGP path selection process and thus have any effect on
> convergence? A short paragraph on the impact on timing might be
> useful for implementors as it seems running BFD or any other
> mechanism to keep an up-to-date information of path-availability at
> the data-plane will avoid any delay in the path selection process.
>
> -Samita

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Fri, 19 Aug 2011 14:11:18 -0500

Samita,

No additional latency expected. Thanks.

Cheers,
Rajiv

> From: Robert Raszuk (raszuk)
> Sent: Wednesday, August 17, 2011 6:44 PM
> To: Samita Chakrabarti
> Cc: Rajiv Asati (rajiva); [email-masked]
> Subject: Re: [Idr] I-D Action:
draft-ietf-idr-bgp-bestpath-selection-criteria-
> 04.txt

---

From: Samita Chakrabarti <[email-masked]>
Date: Fri, 19 Aug 2011 15:21:43 -0400

Hi Rajiv,

>From the document perspective, I'd like to see this statement in the draft as an assumption or suggestion for this change. Thanks for the clarification Rajiv and Robert!

-Samita 

-----Original Message-----
From: Rajiv Asati (rajiva) [mailto:[email-masked]] 
Sent: Friday, August 19, 2011 12:11 PM
To: Robert Raszuk (raszuk); Samita Chakrabarti
Cc: [email-masked]
Subject: RE: [Idr] I-D Action: draft-ietf-idr-bgp-bestpath-selection-criteria-04.txt

Samita,

Cheers,
Rajiv

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Mon, 22 Aug 2011 13:36:58 -0500

Samita,

Sure. We can add a sentence for that whenever we are asked to publish
the next version (prior to publication).

Cheers,
Rajiv

> From: Samita Chakrabarti [mailto:[email-masked]]
> Sent: Friday, August 19, 2011 3:22 PM
> To: Rajiv Asati (rajiva); Robert Raszuk (raszuk)
> Cc: [email-masked]
> Subject: RE: [Idr] I-D
Action:draft-ietf-idr-bgp-bestpath-selection-criteria-
> 04.txt
> 
> Hi Rajiv,
> 
> From the document perspective, I'd like to see this statement in the
draft as
> an assumption or suggestion for this change. Thanks for the
clarification
> Rajiv and Robert!
> Subject: RE: [Idr] I-D Action:
> > reachability to next hops, before considering path with such next
hop
> to

---

From: John Scudder <[email-masked]>
Date: Tue, 23 Aug 2011 09:34:51 -0700

Folks,

The (abbreviated) WGLC has completed -- Rajiv, can you please make the agreed change and update the doc?  

Thanks,

--John and Sue

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Tue, 23 Aug 2011 14:53:50 -0500

Done. -05 version just got posted.

Cheers,
Rajiv

> From: John Scudder [mailto:[email-masked]]
> Sent: Tuesday, August 23, 2011 12:35 PM
> To: Rajiv Asati (rajiva)
> Cc: Samita Chakrabarti; Robert Raszuk (raszuk); [email-masked]
> Subject: Re: [Idr]
I-DAction:draft-ietf-idr-bgp-bestpath-selection-criteria-
> 04.txt
> 
> Folks,
> 
> The (abbreviated) WGLC has completed -- Rajiv, can you please make the
agreed
> change and update the doc?
> 
> Thanks,
> 
> --John and Sue
>

---

From: John Scudder <[email-masked]>
Date: Tue, 23 Aug 2011 13:25:01 -0700

Thanks.

Samita, can you please check that the change addresses your concern?

--John

---

From: Samita Chakrabarti <[email-masked]>
Date: Wed, 24 Aug 2011 13:52:17 -0400

>Samita, can you please check that the change addresses your concern?

Section 4 (Conclusion) added a line on the expectation on the convergence.
Looks fine to me.

Thanks,
-Samita